MyEclipse直接复制Project无法访问的问题

问题描述:

在MyEclipse里直接复制Project,部署和运行后,仍访问不了复制出来的Project。

假设原Project名字为:Project1,复制出来的Project名字为:Project2,

你会发现,Project2部署和运行后无法通过“localhost:8080/Project2/”访问,但通过“localhost:8080/Project1/”的地址却可以访问,因此,原因很简单,就是Project2的Web Context-root 地址没有修改,仍为Project1的地址,因此通过Project1的地址能访问,通过自己的地址反而不能访问。

解决方法:

将Project2的Web Context-root改为Project2的地址即可。

具体操作:

右键Project2 --> Properties --> MyEclipse --> Web --> 修改Context Root下面的Web Context-root即可。

程序员囧辉 CSDN认证博客专家 Spring MySQL 分布式
当你的才华还撑不起你的野心的时候,你就应该静下心来学习,愿你在我这里能有所收获。公众号:程序员囧辉,分享个人在Java学习路上的一些学习、思考、经验和总结。
从别人电脑复制过来的myeclipse打不开?是环境问题还是什么问题 有遇到同样问题的吗 还有破解好的 总是用一段时间还提示破解 麻烦死了 怎么解决啊?![图片说明](https://img-ask.csdn.net/upload/201803/19/1521423605_661357.png) ![图片说明](https://img-ask.csdn.net/upload/201803/19/1521423766_559156.png) 跟着提示我打开了这个.log文件 内容如下 请大神解决 谢谢 !! !SESSION 2018-03-19 09:36:29.235 ----------------------------------------------- eclipse.buildId=M20080221-1800 java.version=1.7.0_80 java.vendor=Oracle Corporation BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_CN Framework arguments: --launcher.XXMaxPermSize512m Command-line arguments: -os win32 -ws win32 -arch x86 -clean --launcher.XXMaxPermSize512m !ENTRY org.eclipse.equinox.app 2018-03-19 09:36:31.100 !MESSAGE Product com.genuitec.myeclipse.product.ide could not be found. !ENTRY org.eclipse.osgi 4 0 2018-03-19 09:36:31.115 !MESSAGE Application error !STACK 1 java.lang.RuntimeException: No application id has been found. at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:236) at org.eclipse.equinox.internal.app.EclipseAppContainer.start(EclipseAppContainer.java:98) at org.eclipse.equinox.internal.app.Activator.addingService(Activator.java:112) at org.osgi.util.tracker.ServiceTracker$Tracked.trackAdding(ServiceTracker.java:1064) at org.osgi.util.tracker.ServiceTracker$Tracked.trackInitialServices(ServiceTracker.java:926) at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.java:330) at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.java:274) at org.eclipse.equinox.internal.app.Activator.start(Activator.java:54) at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:999) at java.security.AccessController.doPrivileged(Native Method) at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:993) at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:974) at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:346) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:260) at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:400) at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:111) at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:417) at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:189) at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:340) at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(SingleSourcePackage.java:37) at org.eclipse.osgi.framework.internal.core.BundleLoader.findClassInternal(BundleLoader.java:405) at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:369) at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:357) at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83) at java.lang.ClassLoader.loadClass(ClassLoader.java:358) at org.eclipse.core.internal.runtime.PlatformActivator.startAppContainer(PlatformActivator.java:47) at org.eclipse.core.internal.runtime.PlatformActivator.start(PlatformActivator.java:32) at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.run(BundleContextImpl.java:999) at java.security.AccessController.doPrivileged(Native Method) at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:993) at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:974) at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:346) at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:350) at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1118) at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:634) at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:508) at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:282) at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:468) at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:195) at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:297) !ENTRY org.eclipse.osgi 2 0 2018-03-19 09:36:31.169 !MESSAGE One or more bundles are not resolved because the following root constraints are not resolved: !SUBENTRY 1 org.eclipse.osgi 2 0 2018-03-19 09:36:31.169 !MESSAGE Bundle update@plugins/org.tigris.subversion.subclipse.graph_1.0.7.jar was not resolved. !SUBENTRY 2 org.tigris.subversion.subclipse.graph 2 0 2018-03-19 09:36:31.169 !MESSAGE Missing required bundle org.eclipse.draw2d_3.2.0. !SUBENTRY 2 org.tigris.subversion.subclipse.graph 2 0 2018-03-19 09:36:31.169 !MESSAGE Missing required bundle org.eclipse.gef_3.2.0. !ENTRY org.eclipse.osgi 2 0 2018-03-19 09:36:31.175 !MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists: !SUBENTRY 1 org.eclipse.osgi 2 0 2018-03-19 09:36:31.175 !MESSAGE Bundle update@plugins/org.tigris.subversion.subclipse.graph_1.0.7.jar [140] was not resolved. !SUBENTRY 2 org.tigris.subversion.subclipse.graph 2 0 2018-03-19 09:36:31.175 !MESSAGE Missing required bundle org.eclipse.draw2d_3.2.0. !SUBENTRY 2 org.tigris.subversion.subclipse.graph 2 0 2018-03-19 09:36:31.175 !MESSAGE Missing required bundle org.eclipse.gef_3.2.0.
©️2020 CSDN 皮肤主题: 数字20 设计师:CSDN官方博客 返回首页